Add Favorite
curl --request POST \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/favorite' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"favorite": true,
"media_id": 550,
"media_type": "movie"
}
'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/favorite"
payload = {
"favorite": True,
"media_id": 550,
"media_type": "movie"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({favorite: true, media_id: 550, media_type: 'movie'})
};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/favorite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status_code": 1,
"status_message": "Success.",
"success": true
}Endpoints
Add Favorite
This endpoint marks a movie or TV show as a favourite.
POST
/
3
/
account
/
{account_id}
/
favorite
Add Favorite
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I